Chakra Linux Italia Forum

Supporto Tecnico Software => Consigli e discussioni generali sul Software => Topic aperto da: adriano - 21 Febbraio 2012 ore 17:05

Titolo: X-Plane simulatore
Inserito da: adriano - 21 Febbraio 2012 ore 17:05
Un saluto a tutti
scrivo qua', perche' non ho trovato un settore per software vario.
Allora fino a qualche qiorno fa avevo ubuntu11.10 sul quale usavo x-plane senza problemi, anche con versione a 64bit avendo scaricato le lib32.
Ieri dopo che in questi giorni mi sono abituato a questa bella distro, ho rinstallato x-plane il quale non si installa nel sistema ma copia solo i suoi file nella sua cartella in home, ho installato le lib32, ma non c'e verso di farlo pertire, continua a darmi questo errore (error while loading shared libraries: libGLU.so.1: cannot open shared object file: No such file or directory).

Girando per la rete tra i vari suggerimenti ho trovato questo :
libGL.so: cannot open shared object file         
The error message
OSError: libGL.so: cannot open shared object file: No such file or directory
may appear on Linux systems when you try to launch for the first time. To solve it, create (as administrator) a new link in /usr/lib:
sudo ln -s /usr/lib/libGL.so.1.2 /usr/lib/libGL.so
If you have a 64-bit Linux, use /usr/lib64 instead.
First check that you actually have "libGL.so.1.2" in /usr/lib or /usr/lib64; it might be called "libGL.so.1" or something else instead, or located in another directory, depending on the video drivers. You can use locate libGL to find the correct file to link to.

Ma anche cosi mi da lo stesso errore, avete qualche suggerimento.
Grazie
Titolo: Re:X-Plane simulatore
Inserito da: bmax84 - 21 Febbraio 2012 ore 18:49
hai gia installato il pacchetto libgl?
SE si prova ad installare la versione a 64 bit (o a 32! dipende quale hai installato)
quel pacchetto contiene la libreria da te citata:
Codice: [Seleziona]
[max_chakra@chakra-pc avinaptic]$ sudo pacman -Ql libgl
libgl /usr/
libgl /usr/lib/
libgl /usr/lib/libGL.so
libgl /usr/lib/libGL.so.1
libgl /usr/lib/libGL.so.1.2
libgl /usr/lib/libdricore.so
libgl /usr/lib/libglsl.so
libgl /usr/lib/xorg/
libgl /usr/lib/xorg/modules/
libgl /usr/lib/xorg/modules/dri/
libgl /usr/lib/xorg/modules/dri/swrast_dri.so
libgl /usr/lib/xorg/modules/dri/swrastg_dri.so
libgl /usr/lib/xorg/modules/extensions/
libgl /usr/lib/xorg/modules/extensions/libglx.so
libgl /usr/share/
libgl /usr/share/licenses/
libgl /usr/share/licenses/libgl/
libgl /usr/share/licenses/libgl/LICENSE
[max_chakra@chakra-pc avinaptic]$
dopodiche presumo che dovrai modificare l'eseguibile per fargli puntare alla libreria libGL.so.1 e non libGLU.so.1....
Titolo: Re:X-Plane simulatore
Inserito da: jmc - 21 Febbraio 2012 ore 21:58
Ti serve anche la versione a 32 bit dei tuoi driver video, se usi lib32. Nel caso di nvidia, ad esempio, oltre ad nvidia-utils devi avere anche lib32-nvidia-utils.
Titolo: Re:X-Plane simulatore
Inserito da: adriano - 22 Febbraio 2012 ore 11:12
Prima di tutto grazie per le indicazioni.
Allora, se do il comando:  (sudo pacman -Ql libgl)
mi da : (errore: il pacchetto "libgl" non è stato trovato)
se do il comando (locate libGL)
mi da :
Codice: [Seleziona]
/usr/lib/libGL.so
/usr/lib/libGL.so.1
/usr/lib/libGL.so.295.17
/usr/lib/libGLESv1_CM.so
/usr/lib/libGLESv1_CM.so.1
/usr/lib/libGLESv1_CM.so.1.1.0
/usr/lib/libGLESv2.so
/usr/lib/libGLESv2.so.2
/usr/lib/libGLESv2.so.2.0.0
/usr/lib/libGLEW.a
/usr/lib/libGLEW.so
/usr/lib/libGLEW.so.1.5
/usr/lib/libGLEW.so.1.5.8
/usr/lib/libGLU.so
/usr/lib/libGLU.so.1
/usr/lib/libGLU.so.1.3.071100
/usr/lib/libGLw.so
/usr/lib/libGLw.so.1
/usr/lib/libGLw.so.1.0.0
/usr/lib32/libGL.so
/usr/lib32/libGL.so.1
/usr/lib32/libGL.so.295.17
non conosco la differenza tra i due, non sono esperto,
se do il comando (pacman -S libGL)
mi esce:
risoluzione delle dipendenze in corso...
ricerca dei conflitti in corso...
:: libgl e nvidia-utils vanno in conflitto. Vuoi rimuovere nvidia-utils? [s/N] n
errore: sono stati rilevati dei conflitti irrisolvibili
errore: impossibile eseguire l'operazione richiesta (dipendenze in conflitto)
:: libgl e nvidia-utils vanno in conflitto
quindi non capisco se sono installate oppure no, incomincio ad essere confuso sul da farsi.
Potete ancora aiutarmi? grazie
Titolo: Re:X-Plane simulatore
Inserito da: cippaciong - 22 Febbraio 2012 ore 11:19
libgl lo installi solo se usi i driver open (tipo gli nv o i nouveau). Se utilizzi i driver proprietari, come nel tuo caso, è come se libgl fosse già incluso in nvidia-utils.

Prova a postare qui l'output (usa la tag code!!!) del comando
Codice: [Seleziona]
pacman -Qs nvidiacosì vediamo se c'è installato tutto l'occorrente.
Titolo: Re:X-Plane simulatore
Inserito da: fedefox - 22 Febbraio 2012 ore 12:26
ragazzi usate il tasto # (code) http://chakra-project.it/smf/index.php?action=pages
Titolo: Re:X-Plane simulatore
Inserito da: Cosworth117 - 22 Febbraio 2012 ore 12:32
ragazzi usate il tasto # (code) http://chakra-project.it/smf/index.php?action=pages

Conviene modificare il tasto attuale con uno in formato A4.  :P
Titolo: Re:X-Plane simulatore
Inserito da: cippaciong - 22 Febbraio 2012 ore 14:12
Scusate l'OT ma eventualmente, dato che questo è un problema comune negli utenti nuovi e in effetti potrebbero anche non saperlo o non essere abituati al bbcode, non c'è la possibilità di mettere un promemoria sull'uso delle tag code/quote nei primi messaggi?? Qualcosa tipo il captcha, che sparisce dopo i primi post; potrebbe essere un pop-up o qualcosa di simile.
Titolo: Re:X-Plane simulatore
Inserito da: fedefox - 22 Febbraio 2012 ore 14:23
Scusate l'OT ma eventualmente, dato che questo è un problema comune negli utenti nuovi e in effetti potrebbero anche non saperlo o non essere abituati al bbcode, non c'è la possibilità di mettere un promemoria sull'uso delle tag code/quote nei primi messaggi?? Qualcosa tipo il captcha, che sparisce dopo i primi post; potrebbe essere un pop-up o qualcosa di simile.
sarebbe certamente utile chiedo a d4n1x e vediamo se si può fare
Titolo: Re:X-Plane simulatore
Inserito da: adriano - 22 Febbraio 2012 ore 15:24
Premesso che oltre a essere nuovo non sono abituato a scrivere in un forum, chiedo scusa per errori fatti e eventuali futuri.
Allora ho dato il comando

Codice: [Seleziona]
#[adriano@chakra-pc ~]$ pacman -Qs nvidia
local/acpi_call 20120115-2
    A kernel module that enables you to call parameterless ACPI methods by writing the method name to
    /proc/acpi/call, e.g. to turn off discrete graphics card in a dual graphics environment (like NVIDIA
    Optimus).
local/libvdpau 0.4.1-1
    Nvidia VDPAU library
local/nvidia 295.17-1
    NVIDIA drivers for linux.
local/nvidia-settings 295.17-1
    Gtk Graphical User Interface for nVidia
local/nvidia-utils 295.17-1
    NVIDIA drivers utilities and libraries.
[adriano@chakra-pc ~]$


scusate cosa è il bbcode, tag code/quote e captcha

Titolo: Re:X-Plane simulatore
Inserito da: fedefox - 22 Febbraio 2012 ore 18:32
Premesso che oltre a essere nuovo non sono abituato a scrivere in un forum, chiedo scusa per errori fatti e eventuali futuri.
Allora ho dato il comando

Codice: [Seleziona]
#[adriano@chakra-pc ~]$ pacman -Qs nvidia
local/acpi_call 20120115-2
    A kernel module that enables you to call parameterless ACPI methods by writing the method name to
    /proc/acpi/call, e.g. to turn off discrete graphics card in a dual graphics environment (like NVIDIA
    Optimus).
local/libvdpau 0.4.1-1
    Nvidia VDPAU library
local/nvidia 295.17-1
    NVIDIA drivers for linux.
local/nvidia-settings 295.17-1
    Gtk Graphical User Interface for nVidia
local/nvidia-utils 295.17-1
    NVIDIA drivers utilities and libraries.
[adriano@chakra-pc ~]$


scusate cosa è il bbcode, tag code/quote e captcha
ciao adriano non ti preoccupare :) come vedi ho modificato nuovamente il tuo post e ho inserito il risultato del terminale all'interno di code che è il tasto fatto così # lo vedi quando scrivi un post :) ci scrivi all'interno e occupi poco spazio con le schermate del terminale in maniera da non prendere metà pagina del forum :P il quote, invece è quando si cita una persona, [ code ] [/ code ] e [ quote ] [/quote ] questi sono rispettivamente code e quote (ovviamente le parentesi quadre devono essere attaccate alle lettere altrimenti non funziona ma se lo facevo non lo petevi vedere :P ) i captcha invece sono quelle letterine che devi inserire prima di pubblicare un post fino a che non hai inviato 5 messaggi sul forum, dopo di che non dovrai più inserire i captcha :)
Titolo: Re:X-Plane simulatore
Inserito da: adriano - 23 Febbraio 2012 ore 15:44
Vediamo se stavolta va bene, grazie a fedefox per la pazienza, rispondo a cippaciong
ho installato lib32Nvidea, che prima non erano installate,
dando il comando pacman -Qs nvidia ora ottengo:
Codice: [Seleziona]
local/acpi_call 20120115-2
    A kernel module that enables you to call parameterless ACPI methods by
    writing the method name to /proc/acpi/call, e.g. to turn off discrete
    graphics card in a dual graphics environment (like NVIDIA Optimus).
local/lib32-nvidia-utils 295.17-1
    NVIDIA drivers utilities and libraries. (32-bit)
local/libvdpau 0.4.1-1
    Nvidia VDPAU library
local/nvidia 295.17-1
    NVIDIA drivers for linux.
local/nvidia-settings 295.17-1
    Gtk Graphical User Interface for nVidia
local/nvidia-utils 295.17-1
    NVIDIA drivers utilities and libraries.
[adriano@chakra-pc ~]$
Ora cosa devo fare? grazie anche a te per l'aiuto.

Titolo: Re:X-Plane simulatore
Inserito da: cippaciong - 23 Febbraio 2012 ore 15:46
Il gioco non va ancora?
Titolo: Re:X-Plane simulatore
Inserito da: adriano - 23 Febbraio 2012 ore 16:23
Non ancora, avviando il simulatore mi da sempre
Codice: [Seleziona]
[adriano@chakra-pc ~]$ ./X-Plane
./X-Plane: error while loading shared libraries: libGLU.so.1: cannot open shared object file: No such file or directory
[adriano@chakra-pc ~]$
provo a rifare i link.
Titolo: Re:X-Plane simulatore
Inserito da: cippaciong - 23 Febbraio 2012 ore 16:41
Se con i nuovi link non dovesse funzionare riusciresti a reinstallare il programma??
Il problema di libglu dovrebbe essere legato al pacchetto lib32-mesa ma che, come libgl, non serve se si utilizzano i driver proprietari.
Se hai installato il gioco senza aver prima installato lib32-nvidia-utils, è probabile che non abbia trovato le librerie necessarie e che appunto veda ancora l'errore.
Titolo: Re:X-Plane simulatore
Inserito da: adriano - 23 Febbraio 2012 ore 16:53
Il gioco non si installa perchè unzippa e copia le sua cartelle nella home.
ho provato a rifare i link e adesso mi dice:
Codice: [Seleziona]
./X-Plane: error while loading shared libraries: libGLU.so.1: wrong ELF class: ELFCLASS64